libzypp: zyppng::HeaderValueMap::const_iterator Class Reference

libzypp 17.38.6

zyppng::HeaderValueMap::const_iterator Class Reference

`#include <zypp-media/ng/headervaluemap.h>`

Inheritance diagram for zyppng::HeaderValueMap::const_iterator:

## Public Member Functions
| const_iterator ()
| const_iterator (const ValueMap::const_iterator &val)
| const_iterator (const HeaderValueMap::const_iterator &other)
const std::string & | key () const
const Value & | value () const

## Private Member Functions
void | increment ()
std::pair< const std::string &, const Value & > | dereference () const

## Friends
class | boost::iterator_core_access

## Detailed Description

Definition at line 74 of file headervaluemap.h.

## Constructor & Destructor Documentation

## ◆ const_iterator() [1/3]

zyppng::HeaderValueMap::const_iterator::const_iterator | ( |  | ) |
| inline

Definition at line 84 of file headervaluemap.h.

## ◆ const_iterator() [2/3]

zyppng::HeaderValueMap::const_iterator::const_iterator | ( | const ValueMap::const_iterator & | val | ) |
| inlineexplicit

Definition at line 87 of file headervaluemap.h.

## ◆ const_iterator() [3/3]

zyppng::HeaderValueMap::const_iterator::const_iterator | ( | const HeaderValueMap::const_iterator & | other | ) |
| inline

Definition at line 90 of file headervaluemap.h.

## Member Function Documentation

## ◆ key()

const std::string & zyppng::HeaderValueMap::const_iterator::key | ( |  | ) | const
| inline

Definition at line 93 of file headervaluemap.h.

## ◆ value()

const Value & zyppng::HeaderValueMap::const_iterator::value | ( |  | ) | const
| inline

Definition at line 97 of file headervaluemap.h.

## ◆ increment()

void zyppng::HeaderValueMap::const_iterator::increment | ( |  | ) |
| inlineprivate

Definition at line 107 of file headervaluemap.h.

## ◆ dereference()

std::pair< const std::string &, const Value & > zyppng::HeaderValueMap::const_iterator::dereference | ( |  | ) | const
| inlineprivate

Definition at line 111 of file headervaluemap.h.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

friend class boost::iterator_core_access
| friend

Definition at line 106 of file headervaluemap.h.

The documentation for this class was generated from the following file:

- zypp-media/ng/headervaluemap.h